#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: shake
version: 0.16
id: shake-0.16-FF7YfKrQrFyKNGTPTQnuYS
key: shake-0.16-FF7YfKrQrFyKNGTPTQnuYS
license: BSD3
copyright: Neil Mitchell 2011-2017
maintainer: Neil Mitchell <ndmitchell@gmail.com>
homepage: http://shakebuild.com
synopsis: Build system library, like Make, but more accurate dependencies.
description:
    Shake is a Haskell library for writing build systems - designed as a
    replacement for @make@. See "Development.Shake" for an introduction,
    including an example. Further examples are included in the Cabal tarball,
    under the @Examples@ directory. The homepage contains links to a user
    manual, an academic paper and further information:
    <http://shakebuild.com>
    .
    To use Shake the user writes a Haskell program
    that imports "Development.Shake", defines some build rules, and calls
    the '\''Development.Shake.shakeArgs'\'' function. Thanks to do notation and infix
    operators, a simple Shake build system
    is not too dissimilar from a simple Makefile. However, as build systems
    get more complex, Shake is able to take advantage of the excellent
    abstraction facilities offered by Haskell and easily support much larger
    projects. The Shake library provides all the standard features available in other
    build systems, including automatic parallelism and minimal rebuilds.
    Shake also provides more accurate dependency tracking, including seamless
    support for generated files, and dependencies on system information
    (e.g. compiler version).
category: Development, Shake
author: Neil Mitchell <ndmitchell@gmail.com>
exposed: True
indefinite: False
exposed-modules:
    Development.Shake Development.Shake.Classes
    Development.Shake.Command Development.Shake.Config
    Development.Shake.FilePath Development.Shake.Forward
    Development.Shake.Rule Development.Shake.Util
hidden-modules: Development.Ninja.Env Development.Ninja.Lexer
                Development.Ninja.Parse Development.Ninja.Type
                Development.Shake.Internal.Args General.Makefile
                Development.Shake.Internal.Core.Action
                Development.Shake.Internal.Core.Rendezvous
                Development.Shake.Internal.Core.Rules
                Development.Shake.Internal.Core.Run
                Development.Shake.Internal.CmdOption
                Development.Shake.Internal.Core.Database
                Development.Shake.Internal.Core.Types
                Development.Shake.Internal.Demo Development.Shake.Internal.Derived
                Development.Shake.Internal.Errors
                Development.Shake.Internal.FileInfo
                Development.Shake.Internal.FilePattern
                Development.Shake.Internal.Core.Monad
                Development.Shake.Internal.Core.Pool
                Development.Shake.Internal.Profile
                Development.Shake.Internal.Progress
                Development.Shake.Internal.Resource
                Development.Shake.Internal.Rules.Directory
                Development.Shake.Internal.Rules.File
                Development.Shake.Internal.Rules.Files
                Development.Shake.Internal.Rules.Oracle
                Development.Shake.Internal.Rules.OrderOnly
                Development.Shake.Internal.Rules.Rerun
                Development.Shake.Internal.Shake
                Development.Shake.Internal.Core.Storage
                Development.Shake.Internal.Options Development.Shake.Internal.Value
                General.Bilist General.Binary General.Chunks General.Cleanup
                General.Concurrent General.Extra General.FileLock General.GetOpt
                General.Ids General.Intern General.ListBuilder General.Process
                Development.Shake.Internal.FileName General.Template General.Timing
                Paths_shake
abi: c639722e2843aa2c0268beeef2e0077c
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/shake-0.16
library-dirs: /usr/lib/ghc-8.2.1/site-local/shake-0.16
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/haskell-shake
hs-libraries: HSshake-0.16-FF7YfKrQrFyKNGTPTQnuYS
depends:
    base-4.10.0.0 directory-1.3.0.2
    hashable-1.2.6.1-5D85BzUWIsjDNuFvtLMWyk binary-0.8.5.1
    filepath-1.4.1.2 process-1.6.1.0
    unordered-containers-0.2.8.0-KL4HUdwCmhYBQDTvY5v0GN
    bytestring-0.10.8.2 utf8-string-1.0.1.1-CvukXmdyLbdJ7d5kadRf8m
    time-1.8.0.2 random-1.1-DtLcP2Z2iOOC0RwcSmXjBK
    js-jquery-3.2.1-GyZ9FJonY6dAAMhwJ2fANo
    js-flot-0.8.3-JDUwO3yTt2e3BCiAqqIjur transformers-0.5.2.0
    extra-1.6-21C3t0YQFbADxH75E4GqjW deepseq-1.4.3.0
    primitive-0.6.2.0-V0ibjLQDdN6fcQS5bjLVg unix-2.7.2.2
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             directory-1.3.0.2=3638cd3d85711234b23f0c0ec04058d3
             hashable-1.2.6.1-5D85BzUWIsjDNuFvtLMWyk=5285d4c9a9fd47aab57774d045fde1ac
             binary-0.8.5.1=44e4c28d2f38593047e3772473ecb87e
             filepath-1.4.1.2=7f2f990ae2114c616de6dfc1a7f18a6e
             process-1.6.1.0=d01a8ca2c6610f40dfd0fe25f50afb10
             unordered-containers-0.2.8.0-KL4HUdwCmhYBQDTvY5v0GN=f561664cdb04511e569f0d44c9086d8e
             bytestring-0.10.8.2=590a7a3c0bdcf7a6a59d8c8ef548a44a
             utf8-string-1.0.1.1-CvukXmdyLbdJ7d5kadRf8m=86282a526305f57509e4009ab924a497
             time-1.8.0.2=e9c7416c5b79f57513fe11898c3d9f95
             random-1.1-DtLcP2Z2iOOC0RwcSmXjBK=5faba54ff6ceaac5cbd433f5aeb4a970
             js-jquery-3.2.1-GyZ9FJonY6dAAMhwJ2fANo=f319fbdb7adb671d262c2d902e8c9756
             js-flot-0.8.3-JDUwO3yTt2e3BCiAqqIjur=403487e92ff2055d3e94c1c1ffa0c476
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
             extra-1.6-21C3t0YQFbADxH75E4GqjW=581fdf698134fecd3309a3d6b0c5828b
             deepseq-1.4.3.0=5db6f9c28d6213bd6646f988460dacd0
             primitive-0.6.2.0-V0ibjLQDdN6fcQS5bjLVg=0d4c92faa4f1f9ce3b49ed780d097362
             unix-2.7.2.2=65f42a53c0d1c7bb4ba5966ba6a43504
haddock-interfaces: /usr/share/doc/haskell-shake/html/shake.haddock
haddock-html: /usr/share/doc/haskell-shake/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

